Bug 254037 - converters/p5-LaTeXML: missed dependency
Summary: converters/p5-LaTeXML: missed dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-05 15:20 UTC by Zsolt Udvari
Modified: 2021-03-10 13:55 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (wen)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2021-03-05 15:20:16 UTC
I install p5-LaTeXML and tried to run:
Can't locate Pod/Find.pm in @INC (you may need to install the Pod::Find module) (@INC contains: /usr/local/bin/../lib /usr/local/lib/perl5/site_perl/
mach/5.32 /usr/local/lib/perl5/site_perl /usr/local/lib/perl5/5.32/mach /usr/local/lib/perl5/5.32) at /usr/local/lib/perl5/site_perl/LaTeXML/Common/C
onfig.pm line 19.                                                                                                                                    
BEGIN failed--compilation aborted at /usr/local/lib/perl5/site_perl/LaTeXML/Common/Config.pm line 19.                                                
Compilation failed in require at /usr/local/lib/perl5/site_perl/LaTeXML.pm line 23.                                                                  
BEGIN failed--compilation aborted at /usr/local/lib/perl5/site_perl/LaTeXML.pm line 23.                                                              
Compilation failed in require at /usr/local/bin/latexml line 20.                                                                                     
BEGIN failed--compilation aborted at /usr/local/bin/latexml line 20.

Should install textproc/p5-Pod-Parser.
Comment 1 commit-hook freebsd_committer 2021-03-06 02:57:51 UTC
A commit references this bug:

Author: wen
Date: Sat Mar  6 02:56:58 UTC 2021
New revision: 567457
URL: https://svnweb.freebsd.org/changeset/ports/567457

Log:
  - Add missing DEPENDS

  PR:		254037
  Submitted by:	uzsolt@uzsolt.hu

Changes:
  head/converters/p5-LaTeXML/Makefile
Comment 2 Wen Heping freebsd_committer 2021-03-06 02:59:41 UTC
Committed , thanks !

wen